org.apache.tapestry5.internal.structure

## Class BlockImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.structure.BlockImpl

- All Implemented Interfaces:
    Block, BodyPageElement, Locatable, RenderCommand

      public class BlockImpl
      extends BaseLocatable
      implements Block, BodyPageElement, RenderCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockImpl(Location location, String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToBody(RenderCommand element)` Used during the construction of the page.
    `void` | `render(MarkupWriter writer, RenderQueue queue)` Pushes all the elements of the body of this block onto the queue in appropriate order.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockImpl

          public BlockImpl(Location location,
                           String description)

  - ### Method Detail

    - #### addToBody

          public void addToBody(RenderCommand element)

      Description copied from interface: `BodyPageElement`
      Used during the construction of the page. Adds a page element as part of the body of the component. The body of a component is defined as the portion of the container's template directly enclosed by component's start and end elements.
      Specified by:
        `addToBody` in interface `BodyPageElement`

    - #### render

          public void render(MarkupWriter writer,
                             RenderQueue queue)

      Pushes all the elements of the body of this block onto the queue in appropriate order.
      Specified by:
        `render` in interface `RenderCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.